﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace SilverlightApplication_DataChart
{
    public partial class DynamicMultiSeries : UserControl
    {
        public DynamicMultiSeries()
        {
            InitializeComponent();
        }
        private void btnBind_Click(object sender, RoutedEventArgs e)
        {
            this.DataContext = new ViewModel();
            this.BindChart();

        }

        private void BindChart()
        {
            ViewModel model = this.DataContext as ViewModel;

            this.dataChart.Series.Clear();

            CategoryDateTimeXAxis xAxis = this.dataChart.Axes["DateXAxis"] as CategoryDateTimeXAxis;
            NumericYAxis yAxis = this.dataChart.Axes["ValueYAxis"] as NumericYAxis;

            foreach (List<DataItem> lst in model.DataList)
            {
                LineSeries series = new LineSeries();
                series.ValueMemberPath = "Value";
                series.XAxis = xAxis;
                series.YAxis = yAxis;
                series.ItemsSource = lst;

                this.dataChart.Series.Add(series);

            }

        }
    }
}
