﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace SilverlightApplication_DataChart
{
    public partial class DynamicSeries : UserControl
    {
        public DynamicSeries()
        {
            InitializeComponent();
        }

        private void btnBind_Click(object sender, RoutedEventArgs e)
        {
            this.DataContext = new ViewModel();
            this.BindChart();
            
        }

        private void BindChart()
        {
            ViewModel model = this.DataContext as ViewModel;

            this.dataChart.Series.Clear();
            

            CategoryDateTimeXAxis xAxis = this.dataChart.Axes["DateXAxis"] as CategoryDateTimeXAxis;            
            NumericYAxis yAxis = this.dataChart.Axes["ValueYAxis"] as NumericYAxis;

            LineSeries series = new LineSeries();
            series.ValueMemberPath = "Value";            
            series.XAxis = xAxis;
            series.YAxis = yAxis;
            series.ItemsSource = model.TestList;
            this.dataChart.Series.Add(series);

            this.AddInfoStrips();

        }

        

        public void AddInfoStrips()
        {
            ChartInfoStripsBehavior infoBehaviors = this.dataChart.GetValue(ChartStripBehaviors.ChartInfoStripsProperty) as ChartInfoStripsBehavior;

            if (infoBehaviors != null)
            {
                InfoStripCollection infoCollection = infoBehaviors.InfoStrips;
                infoCollection.Clear();

                InfoStrip strip = new InfoStrip { StripTemplate = this.Resources["VerticalInfoStripTemplate"] as DataTemplate, StartDate = new DateTime(2011, 1, 2), EndDate = new DateTime(2011, 1, 3), Fill = new SolidColorBrush(Colors.Gray), Label = "First 2011" };
                infoCollection.Add(strip);

                strip = new InfoStrip { StripTemplate = this.Resources["VerticalInfoStripTemplate"] as DataTemplate, StartDate = new DateTime(2011, 1, 4), EndDate = new DateTime(2011, 1, 7), Fill = new SolidColorBrush(Colors.Green), Label = "Second 2011" };
                infoCollection.Add(strip);

                strip = new InfoStrip { StripTemplate = this.Resources["VerticalInfoStripTemplate"] as DataTemplate, StartDate = new DateTime(2011, 1, 8), EndDate = new DateTime(2011, 1, 10), Fill = new SolidColorBrush(Colors.LightGray), Label = "Third 2011" };
                infoCollection.Add(strip);

            }
        }

        //public void AddInfoStrips()
        //{


        //    InfoStripCollection infoCollection = new InfoStripCollection();
        //    infoCollection.Clear();

        //    InfoStrip strip = new InfoStrip { StripTemplate = this.Resources["VerticalInfoStripTemplate"] as DataTemplate, StartDate = new DateTime(2011, 1, 2), EndDate = new DateTime(2011, 1, 3), Fill = new SolidColorBrush(Colors.Gray), Label = "First 2011" };
        //    infoCollection.Add(strip);

        //    strip = new InfoStrip { StripTemplate = this.Resources["VerticalInfoStripTemplate"] as DataTemplate, StartDate = new DateTime(2011, 1, 4), EndDate = new DateTime(2011, 1, 7), Fill = new SolidColorBrush(Colors.Green), Label = "Second 2011" };
        //    infoCollection.Add(strip);

        //    strip = new InfoStrip { StripTemplate = this.Resources["VerticalInfoStripTemplate"] as DataTemplate, StartDate = new DateTime(2011, 1, 8), EndDate = new DateTime(2011, 1, 10), Fill = new SolidColorBrush(Colors.LightGray), Label = "Third 2011" };
        //    infoCollection.Add(strip);

        //    ChartInfoStripsBehavior infoBehaviors = new ChartInfoStripsBehavior();

        //    infoBehaviors.InfoStrips = infoCollection;

        //    this.dataChart.SetValue(ChartStripBehaviors.ChartInfoStripsProperty, infoBehaviors);


        //}
    }
}
